import { Person } from '../person.model';
import { IExerciseType} from './exercise-type.model';

export interface SearchResultDTO {
    contributor: Array<Person>;
    creator: Array<Person>;
    deprecated: boolean;
    description: string;
    difficulty: string;
    educationLevel: string;
    format: string;
    identifier: string;
    image: string;
    keyword: Array<string>;
    language: Array<string>;
    license: string;
    metadataVersion: string;
    programmingLanguage: Array<string>;
    publisher: Array<Person>;
    repositoryURL: string;
    requires: string;
    source: Array<string>;
    status: string;
    structure: string;
    timeRequired: string;
    title: string;
    type: IExerciseType;
    version: string;
}


